variables:
  slaves:default:
  - master
  slaves: ${next-value|${slaves:${mode}|${slaves:default}}}

  slaves.ubuntu:
  - '@{slaves}'
  slaves.linux:
  - '@{slaves.ubuntu}'

  slaves.macos:
  - master

aspects:
- name: slaves/matrix/architecture-dependent
  aspect: slaves
  conditions:
    job.tags: architecture-dependent
    build-job.kind: matrix
  variables:
    aspect.slaves.slaves: ${slaves.linux}
    aspect.slaves.restrict-to-slaves: ${restrict-to-slaves|}

- name: slaves/project/architecture-dependent
  aspect: slaves
  conditions:
    job.tags: architecture-dependent
    build-job.kind: project
  variables:
    aspect.slaves.restrict-to-slaves: ${restrict-to-slaves|}

- name: slaves/matrix/architecture-independent
  aspect: slaves
  conditions:
    job.tags: architecture-independent
    build-job.kind: matrix
  variables:
    aspect.slaves.slaves: ${slaves.linux}
    aspect.slaves.restrict-to-slaves: ${restrict-to-slaves|}

- name: slaves/project/architecture-independent
  aspect: slaves
  conditions:
    job.tags: architecture-independent
    build-job.kind: matrix
  variables:
    aspect.slaves.restrict-to-slaves: ${restrict-to-slaves|}

- name: slaves/macos
  aspect: slaves
  conditions:
    job.tags: macos
  variables:
    aspect.slaves.slaves: '@{slaves.macos}'
